Jump to content

Photo

String Error Using DLTCEP to make NPCs


3 replies to this topic

#1 Xanatos

Xanatos
  • Members
  • 5 posts

Posted 14 July 2018 - 12:38 PM

So, I tried pre-generating a .chr file, importing it into DLTCEP, making a few modifications and saving it as a .cre to try and make it a recruitable NPC. The error I get is:

 

Invalid String Ref #74 (Reference: 15728653)

 

so to make sure it wasn't any of my modifications, I opened the vanilla .chr file from the pre-generator, and just tried saving to my NPC project folder and it gave me the exact same error. I'm not super sure where to start with diagnosing and fixing this.

 

Using Near Infinity, I Identified the string as "We have other things to do"

 

Why would this dialogue prevent me from saving a .cre file?

 

Any help is welcome, I'm a noob at this stuff and I've been parsing through various guides trying to figure stuff out. Thanks



#2 Jarno Mikkola

Jarno Mikkola

    The Imp

  • Modders
  • 6714 posts
  • Gender:Male
  • Location:The town where the dead haven't keeled over, yet. In Finland.

Posted 14 July 2018 - 01:46 PM

Which version of NI do you have ?
Is this a BG1EE+SoD game ? - modmerge...
Welcome to the sanity, you are free to search for the limit, it's out there, we drew it in the sand.
Here's how to install all the ... mods you ever really could want to Infinity Engine games. I removed the stable word from there as Roxanne began to add BS mods that are likely to break compatibility from the BWS.

#3 Xanatos

Xanatos
  • Members
  • 5 posts

Posted 14 July 2018 - 02:55 PM

Which version of NI do you have ?
Is this a BG1EE+SoD game ? - modmerge...

It's BG1:EE with ToTSC and SoD expansions. Near Infinity is version 1.32.1, DLTCEP is v7.4. Modmerge is installed but I'm not certain anything I have is using it, I installed it when troubleshooting a different issue


Edited by Xanatos, 14 July 2018 - 02:56 PM.


#4 Jarno Mikkola

Jarno Mikkola

    The Imp

  • Modders
  • 6714 posts
  • Gender:Male
  • Location:The town where the dead haven't keeled over, yet. In Finland.

Posted 14 July 2018 - 10:34 PM

Near Infinity is version 1.32.1, DLTCEP is v7.4.

I don't think those are even compatible with the normal BG1EE game, so update to the latest version is nessasary... NI (use the snapshots) and DL 7.7.
 

Modmerge is installed but I'm not certain anything I have is using it,

Well, anything that modifies the game, needs the modmerge to installed, cause the .exe that runs the game, by default reads the DLC's files rather than the override folders content if the modmerge is ot installed... so, yo are very much using it to even read the ingame files.


Edited by Jarno Mikkola, 15 July 2018 - 02:22 AM.

Welcome to the sanity, you are free to search for the limit, it's out there, we drew it in the sand.
Here's how to install all the ... mods you ever really could want to Infinity Engine games. I removed the stable word from there as Roxanne began to add BS mods that are likely to break compatibility from the BWS.



Reply to this topic



  


1 user(s) are reading this topic

0 members, 1 guests, 0 anonymous users